Bug 2007697 - Misleading "everything successful" notification shown if multiple operations completed and one or more failed
Summary: Misleading "everything successful" notification shown if multiple operations ...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: F35FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-09-24 15:58 UTC by sumantro
Modified: 2024-05-07 16:08 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)
error dialog (469.98 KB, image/png)
2021-09-27 09:58 UTC, Kamil Páral
no flags Details
testing with one encrypted and unencypted zip (41.11 KB, image/png)
2021-09-27 10:46 UTC, sumantro
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME nautilus issues 1953 0 None opened Canceling extraction of password protected archive brings misleading dialogue and notification 2022-11-30 18:16:37 UTC

Description sumantro 2021-09-24 15:58:06 UTC
Description of problem:

In nautilus, creating a .zip file with password and then trying to extract with wrong password results in returning 1 [ONE] file with the message "All file operations have been successfully completed" and at the same time "incorrect password"

To note, even if you have let's say files from 1,2,3,4,5 only the file with the name "1" will get extracted in the folder. However, the contents of that file will be missing. 


Version-Release number of selected component (if applicable):nautilus-41.0-1.fc35.x86


How reproducible:Always


Steps to Reproduce:
1. Run touch 1 2 3 4 5
2. Write some data in files 1 2 
3. Right click and select all the files
4. In the dropdown, select .zip with password and enter your favorite password
5. Wait for the .zip to show up
6. Extract the .zip and enter wrong passphrase
7. End up seeing a folder with the $name of zip with 1 as empty file in it

Actual results:

Only one file shows up , empty none the less

Expected results:

Should say "wrong passphrase" and not extract anything

Additional info:

Comment 1 Fedora Blocker Bugs Application 2021-09-24 16:40:51 UTC
Proposed as a Blocker and Freeze Exception for 35-beta by Fedora user sumantrom using the blocker tracking app because:

 https://fedoraproject.org/wiki/Fedora_35_Final_Release_Criteria#Default_application_functionality

It is a new functionality and pretty basic . If the user ends up putting the incorrect password and still get a folder with any content it in. This will confuse the user. As this shows "All file operations completed successfully"

Comment 2 Adam Williamson 2021-09-24 18:55:48 UTC
Beta is signed off, nothing can be a blocker or FE for Beta now.

That's a Final criterion, so this could be proposed for Final if you like.

Comment 3 Fedora Blocker Bugs Application 2021-09-24 20:21:38 UTC
Proposed as a Blocker for 35-final by Fedora user sumantrom using the blocker tracking app because:

 
https://fedoraproject.org/wiki/Fedora_35_Final_Release_Criteria#Default_application_functionality

It is a new functionality and pretty basic . If the user ends up putting the
incorrect password and still get a folder with any content it in. This will
confuse the user. As this shows "All file operations completed successfully"

Comment 4 sumantro 2021-09-24 20:22:41 UTC
(In reply to Adam Williamson from comment #2)
> Beta is signed off, nothing can be a blocker or FE for Beta now.
> 
> That's a Final criterion, so this could be proposed for Final if you like.

My bad, I think it got wrongly proposed. 
I proposed it to Final

Comment 5 Kamil Páral 2021-09-27 09:58:16 UTC
Created attachment 1826614 [details]
error dialog

> results in returning 1 [ONE] file with the message "All file operations have been successfully completed" and at the same time "incorrect password"

In my experience, it doesn't say "successfully", but "There was an error while extracting ...". See the attached screenshot.

nautilus-41.0-1.fc35.x86_64

Comment 6 sumantro 2021-09-27 10:46:18 UTC
Created attachment 1826627 [details]
testing with one encrypted and unencypted zip

Comment 7 sumantro 2021-09-27 10:50:38 UTC
(In reply to Kamil Páral from comment #5)
> Created attachment 1826614 [details]
> error dialog
> 
> > results in returning 1 [ONE] file with the message "All file operations have been successfully completed" and at the same time "incorrect password"
> 
> In my experience, it doesn't say "successfully", but "There was an error
> while extracting ...". See the attached screenshot.
> 
> nautilus-41.0-1.fc35.x86_64

Kamil, thanks for testing this out. I was able to test another corner cases and get the word successfully.
I created two separate zips, one encrypted and one non-encrypted.
I selected both of the above mentioned zip and selected "extract here"
Since the one without password extracts and the other doesn't; GNOME still tells me "successfully completed" [attached screenshot].

I believe that is confusing the user.

Comment 8 Kamil Páral 2021-09-27 11:39:46 UTC
Right, in this case Nautilus should mark one of the operations as failing, and the popup should reflect that. Can you file an upstream Nautilus bug about this and link it here?

Comment 9 Geoffrey Marr 2021-09-27 18:10:56 UTC
Discussed during the 2021-09-27 blocker review meeting: [0]

The decision to classify this bug as a "RejectedBlocker (Final)" and an "AcceptedFreezeException (Final)" was made as we agree that this does not constitute "basic functionality" for archive management, but it would be desirable to fix it even after freeze if a safe fix is available.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2021-09-27/f35-blocker-review.2021-09-27-16.00.txt

Comment 10 Ondrej Holy 2021-09-29 10:50:15 UTC
This is tracked upstream as https://gitlab.gnome.org/GNOME/nautilus/-/issues/1954.

Comment 11 Kamil Páral 2021-09-29 12:37:18 UTC
Hi Ondrej, just please note that the linked issue covers only one part of the described problem. The second part is the "everything successful" popup, when multiple archives get extracted (and one of them is with invalid password).

Comment 12 Ondrej Holy 2021-09-30 08:55:49 UTC
Hmm, you are right. But it seems this is nothing new, this happens for other file operations as well, just it is extremely visible here. If I am not mistaken, this notification is meant to be shown if the Nautilus window isn't focused in order to inform that all operations were finished. So this notification should not appear in this case at all, because Natuilus is focused. Another thing is that the word "successfully" is a little bit confusing in such cases. I will try to fix that, let's use https://gitlab.gnome.org/GNOME/nautilus/-/issues/1953 for this.

Comment 13 Ondrej Holy 2021-10-29 06:38:21 UTC
Just a quick update. https://gitlab.gnome.org/GNOME/nautilus/-/issues/1954 was fixed and will be part of the upcoming Nautilus 41.1 upstream release. Unfortunately, no time left for backporting to Fedora this week, sorry. https://gitlab.gnome.org/GNOME/nautilus/-/issues/1953 hasn't been fixed yet as it is not obvious to me how it should be done.

Comment 14 Ben Cotton 2022-11-29 17:05:15 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 15 Adam Williamson 2022-11-30 18:16:38 UTC
https://gitlab.gnome.org/GNOME/nautilus/-/issues/1953 is still open upstream, so at least that part is apparently not resolved.

Comment 16 Ben Cotton 2023-02-07 14:52:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 17 Aoife Moloney 2024-05-07 15:44:25 UTC
This message is a reminder that Fedora Linux 38 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 38 on 2024-05-21.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '38'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 38 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 18 Adam Williamson 2024-05-07 16:08:02 UTC
Just tested, this appears to be valid in current Rawhide.


Note You need to log in before you can comment on or make changes to this bug.